#!/bin/bash
abspath=$(cd ${0%/*} && echo $PWD/${0##*/})

# to get the path only - not the script name - add
	path_only=`dirname "$abspath"`
#
cd $path_only
ns-230 $path_only/one_hop_wireless.tcl -nofTFRC 1 -nofmn 1 -prop Propagation/Shadowing $@
et_ra $path_only/nsout/sd_be.tfrc.0 $path_only/nsout/rd_be.tfrc.0 $path_only/nsin/st_akiyo_cif.264_Q2.txt $path_only/nsout/video2.dat $path_only/nsin/akiyo_cif.264_Q  2 31 $path_only/nsout/frame_size.dat test1.m4v 01

ffmpeg -r 25 -i ../akiyo_cif.264 -vcodec rawvideo ../akiyo_cif.264.yuv

wine fixyuv_ra.exe nsout/sd_be.tfrc.0 nsout/rd_be.tfrc.0 new_st.txt ../akiyo_cif.264.yuv  nsout/st_akiyo_cif.reconstructed.fixed.yuv

wine ../psnr.exe  176 144 420 ../akiyo_cif.264.yuv nsout/st_akiyo_cif.reconstructed.fixed.yuv > psnr_1.txt


